Update the priorities of branch protection rules of an organization
POST
/orgs/{org}/branch_protections/priority
const url = 'https://gitea.example.com/api/v1/orgs/example/branch_protections/priority';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"ids":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.example.com/api/v1/orgs/example/branch_protections/priority \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "ids": [ 1 ] }'Gitea Enterprise only. This endpoint is not part of the community edition.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
Name of the organization
Request Body
Section titled “Request Body”Media typeapplication/json
UpdateBranchProtectionPriories a list to update the branch protection rule priorities
object
ids
Array<integer>
Examplegenerated
{ "ids": [ 1 ]}Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json
APIValidationError is error format response related to input validation
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string